<div style="margin-bottom: 15px;">

    <p-dataTable
        [value]="shipmentItems"
        [editable]="true"
        [rows]="itemsPerPage"
        [paginator]="true"
        [pageLinks]="5"
        [rowsPerPageOptions]="[10,15,20]" 
        [totalRecords]="totalItems" 
        [responsive]="true" 
        [lazy]="true"
        [(first)]="first"
        row="itemsPerPage"
        totalRecords="totalItems"
        rowHover="true"
        dataKey="idShipmentItem" 
        (onLazyLoad)="loadDataLazy($event)" 
        (onEditComplete)="updateRowData($event)">
        <p-header>
            <div [hidden]="isDetail">
                <ul class="nav justify-content-end">
                    <li class="nav-item">
                        <a class="btn" [routerLink]="['/', { outlets: { popup: ['shipment-item-popup-new-list', idShipment] } }]"><i class="fa fa-plus"></i> &nbsp;{{ 'entity.action.add' | translate }}</a>
                    </li>
                </ul>
            </div>
        </p-header>
        <p-column header="{{'global.field.sequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
            <ng-template let-rowIndex="rowIndex" pTemplate="body">
                {{rowIndex + 1}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.shipmentItem.idProduct'|translate}}" field="idProduct">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.idProduct}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.shipmentItem.idFeature'|translate}}" [style]="{'width': '100px', 'text-align': 'right'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.idFeature | number}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.shipmentItem.idFrame'|translate}}" field="idFrame">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.idFrame}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.shipmentItem.idMachine'|translate}}" field="idFrame">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.idMachine}}
            </ng-template>
        </p-column>
        <!-- <p-column header="{{'mpmApp.shipmentItem.qty'|translate}}" [style]="{'width': '100px', 'text-align': 'right'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.qty | number: '.0-2'}}
            </ng-template>
        </p-column> -->
        <p-column header="{{'mpmApp.shipmentItem.contentDescription'|translate}}" field="contentDescription">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.contentDescription}}
            </ng-template>
        </p-column>
        <p-column header="{{'global.field.action'|translate}}" [style]="{'width': '100px', 'text-align': 'center'}" [hidden]="isDetail">
            <ng-template let-rowData="rowData" pTemplate="body">
                <button pButton type="button"
                    [routerLink]="['/', { outlets: { popup: 'shipment-item/'+ rowData.idShipmentItem + '/edit'} }]"
                    replaceUrl="true"
                    icon="fa-pencil"
                    class="flat-button">
                </button>
                <button pButton type="button"
                    (click)="delete(rowData.idShipmentItem)"
                    icon="fa-remove"
                    class="flat-button">
                </button>
            </ng-template>
        </p-column>
    </p-dataTable>
</div>
